Index: src/Parser/MpqcParser.cpp
===================================================================
--- src/Parser/MpqcParser.cpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ src/Parser/MpqcParser.cpp	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -55,8 +55,14 @@
 void MpqcParser::load(istream *file)
 {
-  bool GeometryFollows = false;
+  bool MpqcSection = false;
+  bool MoleculeSection = false;
+  bool GeometrySection = false;
+  bool BasisSection = false;
+  bool AuxBasisSection = false;
   char line[MAXSTRINGSIZE];
   typedef boost::tokenizer<boost::char_separator<char> > tokenizer;
   boost::char_separator<char> sep("[]");
+  boost::char_separator<char> angularsep("<>");
+  boost::char_separator<char> equalitysep("=");
   boost::char_separator<char> whitesep(" \t");
   ConvertTo<double> toDouble;
@@ -64,37 +70,107 @@
   molecule *newmol = World::getInstance().createMolecule();
   newmol->ActiveFlag = true;
+  // TODO: Remove the insertion into molecule when saving does not depend on them anymore. Also, remove molecule.hpp include
+  World::getInstance().getMolecules()->insert(newmol);
   while (file->good()) {
     file->getline(line, MAXSTRINGSIZE-1);
     std::string linestring(line);
     if ((linestring.find("atoms geometry") == string::npos) && (linestring.find("}") != string::npos)) {
-      GeometryFollows = false;
-    }
-    if (GeometryFollows) { // we have an atom
-      tokenizer tokens(linestring, sep);
-//      if (tokens.size() != 2)
-//        throw MpqcParseException;
+      GeometrySection = false;
+    }
+    if ((linestring.find(")") != string::npos)) { // ends a section which do not overlap
+      MpqcSection = false;
+      MoleculeSection = false;
+      BasisSection = false;
+      AuxBasisSection = false;
+    }
+    if (MoleculeSection) {
+      if (GeometrySection) { // we have an atom
+        tokenizer tokens(linestring, sep);
+  //      if (tokens.size() != 2)
+  //        throw MpqcParseException;
+        tokenizer::iterator tok_iter = tokens.begin();
+        std::stringstream whitespacefilter(*tok_iter++);
+        std::string element;
+        whitespacefilter >> element;
+        std::string vector = *tok_iter;
+        tokenizer vectorcomponents(vector, whitesep);
+        Vector X;
+  //      if (vectorcomponents.size() != NDIM)
+  //        throw MpqcParseException;
+        tok_iter = vectorcomponents.begin();
+        for (int i=0; i<NDIM; ++i) {
+          X[i] = toDouble(*tok_iter++);
+        }
+        // create atom
+        atom *newAtom = World::getInstance().createAtom();
+        newAtom->setType(World::getInstance().getPeriode()->FindElement(element));
+        newAtom->setPosition(X);
+        newmol->AddAtom(newAtom);
+        DoLog(1) && (Log() << Verbose(1) << "Adding atom " << *newAtom << std::endl);
+      }
+    }
+    if (MpqcSection) {
+      tokenizer tokens(linestring, equalitysep);
       tokenizer::iterator tok_iter = tokens.begin();
       std::stringstream whitespacefilter(*tok_iter++);
-      std::string element;
-      whitespacefilter >> element;
-      std::string vector = *tok_iter;
-      tokenizer vectorcomponents(vector, whitesep);
-      Vector X;
-//      if (vectorcomponents.size() != NDIM)
-//        throw MpqcParseException;
-      tok_iter = vectorcomponents.begin();
-      for (int i=0; i<NDIM; ++i) {
-        X[i] = toDouble(*tok_iter++);
-      }
-      // create atom
-      atom *newAtom = World::getInstance().createAtom();
-      newAtom->setType(World::getInstance().getPeriode()->FindElement(element));
-      newAtom->setPosition(X);
-      newmol->AddAtom(newAtom);
-      DoLog(1) && (Log() << Verbose(1) << "Adding atom " << *newAtom << std::endl);
+      std::string key(*tok_iter++);
+      if (params.haveParam(key)) {
+        std::stringstream linestream(linestring);
+        linestream >> params;
+      } else if (linestring.find("mole<") != string::npos) { // get theory
+        tokenizer tokens(linestring, angularsep);
+        tokenizer::iterator tok_iter = tokens.begin();
+        std::string value(*(++tok_iter));
+        std::stringstream linestream("theory = "+value);
+        linestream >> params;
+      } else if (linestring.find("integrals<") != string::npos) { // get theory
+        tokenizer tokens(linestring, angularsep);
+        tokenizer::iterator tok_iter = tokens.begin();
+        std::string value(*(++tok_iter));
+        std::stringstream linestream("integration = "+value);
+        linestream >> params;
+      }
+    }
+    if (BasisSection) {
+      tokenizer tokens(linestring, equalitysep);
+      tokenizer::iterator tok_iter = tokens.begin();
+      std::string key(*tok_iter++);
+      std::string value(*tok_iter);
+      // TODO: use exception instead of ASSERT
+      ASSERT(tok_iter == tokens.end(),
+          "MpqcParser::load() - more than (key = value) on line "+linestring+".");
+      if (key == "name") {
+        std::stringstream linestream("basis = "+value);
+        linestream >> params;
+      }
+    }
+    if (AuxBasisSection) {
+      tokenizer tokens(linestring, equalitysep);
+      tokenizer::iterator tok_iter = tokens.begin();
+      std::string key(*tok_iter++);
+      std::string value(*tok_iter);
+      // TODO: use exception instead of ASSERT
+      ASSERT(tok_iter == tokens.end(),
+          "MpqcParser::load() - more than (key = value) on line "+linestring+".");
+      if (key == "name") {
+        std::stringstream linestream("aux_basis = "+value);
+        linestream >> params;
+      }
     }
     // set some scan flags
+    if (linestring.find("mpqc:") != string::npos) {
+      MpqcSection = true;
+    }
+    if (linestring.find("molecule<Molecule>:") != string::npos) {
+      MoleculeSection = true;
+    }
     if (linestring.find("atoms geometry") != string::npos) {
-      GeometryFollows = true;
+      GeometrySection = true;
+    }
+    if ((linestring.find("basis<GaussianBasisSet>:") != string::npos) && ((linestring.find("abasis<") == string::npos))) {
+      BasisSection = true;
+    }
+    if (linestring.find("abasis<") != string::npos) {
+      AuxBasisSection = true;
     }
   }
Index: tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,23 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLKS>: (
+		functional<StdDenFunctional>:(name=B3LYP)
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 499
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "4-31G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -4,5 +4,5 @@
 AT_KEYWORDS([options])
 AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G"], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G"], 0, [stdout], [ignore])
 AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
 AT_CLEANUP
@@ -11,5 +11,5 @@
 AT_KEYWORDS([options])
 AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499"], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499"], 0, [stdout], [ignore])
 AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
 AT_CLEANUP
@@ -18,5 +18,13 @@
 AT_KEYWORDS([options])
 AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS"], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS"], 0, [stdout], [ignore])
 AT_CHECK([fgrep "<CLKS>" test.in], 0, [ignore], [ignore])
 AT_CLEANUP
+
+AT_SETUP([Parser - MPQC - check in file])
+AT_KEYWORDS([options])
+AT_CHECK([pwd],[ignore],[ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;"], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
Index: tests/regression/Parser/Mpqc/post/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc/post/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/post/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/post/testCLKS.in
===================================================================
--- tests/regression/Parser/Mpqc/post/testCLKS.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/post/testCLKS.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,23 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLKS>: (
+		functional<StdDenFunctional>:(name=B3LYP)
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/post/testMBPT2.in
===================================================================
--- tests/regression/Parser/Mpqc/post/testMBPT2.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/post/testMBPT2.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,27 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		basis = $:basis
+		molecule = $:molecule
+		memory = 16000000
+		reference<CLHF>: (
+			maxiter = 1000
+			basis = $:basis
+			molecule = $:molecule
+			memory = 16000000
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/post/testMBPT2_R12.in
===================================================================
--- tests/regression/Parser/Mpqc/post/testMBPT2_R12.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/post/testMBPT2_R12.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,37 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2_R12>: (
+		molecule = $:molecule
+		basis = $:basis
+		aux_basis = $:abasis
+		stdapprox = "A'"
+		nfzc = 1
+		memory = 16000000
+		integrals<IntegralCints>:()
+		reference<CLHF>: (
+			molecule = $:molecule
+			basis = $:basis
+			maxiter = 1000
+			memory = 16000000
+			integrals<IntegralCints>:()
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
+% auxiliary basis set specification
+	abasis<GaussianBasisSet>: (
+	name = "aug-cc-pVDZ"
+	molecule = $:molecule
+)
Index: sts/regression/Parser/Mpqc/pre/test.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/test.in	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ 	(revision )
@@ -1,24 +1,0 @@
-% Created by MoleCuilder
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<MBPT2>: (
-		basis = $:basis
-		molecule = $:molecule
-		reference<CLHF>: (
-			maxiter = 1000
-			basis = $:basis
-			molecule = $:molecule
-		)
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-		H [ 0	0	0 ]
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "3-21G"
-	molecule = $:molecule
-)
Index: tests/regression/Parser/Mpqc/pre/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/pre/testCLHF.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/testCLKS.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testCLKS.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/pre/testCLKS.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,23 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLKS>: (
+		functional<StdDenFunctional>:(name=B3LYP)
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/testMBPT2.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testMBPT2.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/pre/testMBPT2.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,27 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		basis = $:basis
+		molecule = $:molecule
+		memory = 16000000
+		reference<CLHF>: (
+			maxiter = 1000
+			basis = $:basis
+			molecule = $:molecule
+			memory = 16000000
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
+++ tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -0,0 +1,37 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2_R12>: (
+		molecule = $:molecule
+		basis = $:basis
+		aux_basis = $:abasis
+		stdapprox = "A'"
+		nfzc = 1
+		memory = 16000000
+		integrals<IntegralCints>:()
+		reference<CLHF>: (
+			molecule = $:molecule
+			basis = $:basis
+			maxiter = 1000
+			memory = 16000000
+			integrals<IntegralCints>:()
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
+% auxiliary basis set specification
+	abasis<GaussianBasisSet>: (
+	name = "aug-cc-pVDZ"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc.at	(revision 4cbca0e8710efb136e5936feefe9dd2e7a865873)
@@ -3,7 +3,12 @@
 AT_SETUP([Parser - loading mpqc file])
 AT_KEYWORDS([parser,mpqc])
-AT_XFAIL_IF([/bin/true])
-AT_CHECK([../../molecuilder -i test.in  -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/test.in], 0, [ignore], [ignore])
-AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLHF.in] -o mpqc, 0, [ignore], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testCLKS.in] -o mpqc, 0, [ignore], [ignore])
+AT_CHECK([file=testCLKS.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2.in] -o mpqc, 0, [ignore], [ignore])
+AT_CHECK([file=testMBPT2.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/pre/testMBPT2_R12.in] -o mpqc, 0, [ignore], [ignore])
+AT_CHECK([file=testMBPT2_R12.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
